'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nativeEnv = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _env = require('./env');

var env = _interopRequireWildcard(_env);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var nativeEnv = Object.assign({}, env);

var appInfo = '';
var params = {};
var runtimeInfo = {};
var WeexEnv =
// eslint-disable-next-line
typeof window !== 'undefined' && window.hasOwnProperty('__weex_env__') ? Object.assign({}, window.__weex_env__) : typeof WXEnvironment !== 'undefined' ? Object.assign({}, WXEnvironment) : {};
if (WeexEnv.appName === 'QN') {
  nativeEnv.isQNWeb = false;
  nativeEnv.isQNWeex = true;
}
appInfo = Object.assign({}, WeexEnv);
params = typeof __weex_data__ !== 'undefined' ? __weex_data__ : {};
runtimeInfo = typeof __weex_options__ !== 'undefined' ? __weex_options__ : {};
if (runtimeInfo.weex && _typeof(runtimeInfo.weex.config) === 'object') {
  runtimeInfo = _extends({}, runtimeInfo, runtimeInfo.weex.config);
}
nativeEnv.appInfo = appInfo;
nativeEnv.params = params;
nativeEnv.runtimeInfo = runtimeInfo;

exports.nativeEnv = nativeEnv;