/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Env from 'nuke-env';

const { isWeex, isWeb, isQNWeb, isQNWeex, appInfo } = Env;

const App = class NukeDemoIndex extends Component {
  render() {
    return (
      <View>
        <Text>
          isWeex:
          {isWeex}
          ,isWeb:
          {isWeb}
        </Text>
        <Text>
          isQNWeex:
          {isQNWeex}
          ,isQNWeb:
          {isQNWeb}
        </Text>
        <Text>
          appInfo:
          {JSON.stringify(appInfo)}
        </Text>
      </View>
    );
  }
};
render(<App />);
